



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>linux下安装多个mysql实例（摘自国外：How to create multiple mysql instance in CentOS 6.4 and Red Hat 6.4)</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">linux下安装多个mysql实例（摘自国外：How to create multiple mysql instance in CentOS 6.4 and Red Hat 6.4)</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-08 08:40:26 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h1>How to create multiple mysql instance in CentOS 6.4 and Red Hat 6.4</h1>
<p>from:http://sharadchhetri.com/2013/12/02/create-multiple-mysql-instance-centos-6-4-red-hat-6-4/</p>
<p>December 2, 2013 by <a href="http://sharadchhetri.com/author/admin/" rel="external nofollow noreferrer">sharad chhetri</a> <a href="http://sharadchhetri.com/2013/12/02/create-multiple-mysql-instance-centos-6-4-red-hat-6-4/#comments" rel="external nofollow noreferrer">6 Comments</a></p>
<p>In this tutorial we will learn about how to create multiple mysql instance in CentOS 6.4 and Red Hat 6.4. Multiple instance means in single system we can create multiple MySQL server. These multiple mysql server will run in different ports.In this practical <em>we expect you already have MySQL server installed in your system</em>.</p>
<div><img referrerpolicy="no-referrer"src="http://i0.wp.com/sharadchhetri.com/wp-content/uploads/2016/03/papertrail-20160301-new.jpg" /></div>
<p><strong>To create multiple MySQL instance,follow the given below steps</strong></p>
<p><em>Login as a root in a system</em></p>
<p><strong>Step (1):</strong> Create a new MySQL data directory.</p>
<pre class="prettyprint linenums">mkdir -p /var/lib/mysql2</pre>
<p><strong>Step 2:</strong> Now give permission and ownership .Here we are taking ownership and permission reference from original /var/lib/mysql data directory.<br />
<strong>Note:</strong> /var/lib/mysql is bydefault data directory path</p>
<pre class="prettyprint linenums">
chmod --reference /var/lib/mysql /var/lib/mysql2
chown --reference /var/lib/mysql /var/lib/mysql2</pre>
<p><strong>Step 3:</strong> Now create a new my2.cnf file and paste the below given contents. We will run the new mysql instance in port no. 3337.</p>
<p><em>Copy the my.cnf file and make it blank</em></p>
<pre class="prettyprint linenums">cp -p /etc/my.cnf /etc/my2.cnf
</pre>
<p><em>Now edit with vi editor or your favorite editor.</em></p>
<pre class="prettyprint linenums">vi /etc/my2.cnf</pre>
<p><em>Edit in [mysqld] and [mysqld_safe] section as given below in my2.cnf file</em></p>
<pre class="prettyprint linenums">[mysqld]
datadir=/var/lib/mysql2
socket=/var/lib/mysql/mysql2.sock
port=3337

[mysqld_safe]
log-error=/var/log/mysqld2.log
pid-file=/var/run/mysqld/mysqld2.pid</pre>
<p><strong>Step 4:</strong> Now install the database in the new mysql data directory</p>
<pre class="prettyprint linenums">mysql_install_db --user=mysql --datadir=/var/lib/mysql2</pre>
<p>Below given is the output from my server (as a Reference)(下面的日志信息可能不一样，我安装是就不一样)</p>
<pre class="prettyprint linenums">[root@localhost etc]# mysql_install_db --user=mysql --datadir=/var/lib/mysql2
Installing MySQL system tables...
OK
Filling help tables...
OK

To start mysqld at boot time you have to copy
support-files/mysql.server to the right place for your system

PLEASE REMEMBER TO SET A PASSWORD FOR THE MySQL root USER !
To do so, start the server, then issue the following commands:

/usr/bin/mysqladmin -u root password 'new-password'
/usr/bin/mysqladmin -u root -h localhost.localdomain password 'new-password'

Alternatively you can run:
/usr/bin/mysql_secure_installation

which will also give you the option of removing the test
databases and anonymous user created by default.  This is
strongly recommended for production servers.

See the manual for more instructions.

You can start the MySQL daemon with:
cd /usr ; /usr/bin/mysqld_safe &amp;amp;

You can test the MySQL daemon with mysql-test-run.pl
cd /usr/mysql-test ; perl mysql-test-run.pl

Please report any problems with the /usr/bin/mysqlbug script!

[root@localhost etc]#</pre>
<p><strong>Step 5:</strong> Now the new instance is ready.Now in below section we will learn how to start,stop the mysql instance and how to connect with it.</p>
<p><strong>Note:</strong> new mysql instance is running in port no. 3337 as per this tutorial</p>
<p><strong>To start new mysql instance,use below given command</strong></p>
<pre class="prettyprint linenums">mysqld_safe --defaults-file=/etc/my2.cnf &amp;</pre>
<p><strong>Now check the port no. 3337 is listening or not</strong></p>
<pre class="prettyprint linenums">netstat -tanp |grep 3337</pre>
<p><strong>To connect new mysql instance</strong></p>
<p><strong>Syntax:</strong> <code>mysql -u username -p -h 127.0.0.1 -P port-no.</code></p>
<p><strong>As per our tutorial:</strong></p>
<pre class="prettyprint linenums">
mysql -u root -p -h 127.0.0.1 -p 3337</pre>
<p><strong>It will ask password,hit enter because root password is blank</strong><br />
Now set root password (It is upto your choice, for security reason it is recommended).You can see mysql prompt.</p>
<pre class="prettyprint linenums">mysql &gt; use mysql;
mysql &gt; update user set password=PASSWORD("Give-here-new-root-PASSWORD") where User='root';
mysql &gt; flush privileges;
mysql &gt; exit</pre>
<p><em>Recheck if MySQL root password is applied or not</em></p>
<pre class="prettyprint linenums">mysql -u root -p -h 127.0.0.1 --port 3337 &nbsp; &nbsp;//这里原来是-p 3337,正确是--port 3337</pre>
<p><strong>To stop new mysql instance use below given command</strong></p>
<pre class="prettyprint linenums">mysqladmin -S /var/lib/mysql/mysql2.sock shutdown -p
</pre>
<p><strong>Note:</strong> By using same method you can create multiple instance ,only you have to change the values like mysql2 to mysql3 or so on</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/5qyd1v2q.html">9套Android实战经典项目资料分享给大家</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9j0d60q.html">Windows 下 zip 版的 MySQL 的安装</a>
		</li>
						<li><a href="https://www.batexi.com/a/r93yddn8.html">MVC 定时执行任务</a>
		</li>
						<li><a href="https://www.batexi.com/a/m9654mnq.html">&lbrack;转&plus;整理&rsqb; Android 分辨率，密度，像素单位说明</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8ooo758.html">MySQL&commat;淘宝 资料分享</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwdo4wl8.html">CF A&period; Xenia and Divisors</a>
		</li>
						<li><a href="https://www.batexi.com/a/8oky2we9.html">javascript函数作用域和提前声明</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxnz6608.html">【转载】LVS&plus;MYCAT&plus;读写分离&plus;MYSQL主备同步部署手册（邢锋）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwdp7pr8.html">安卓天天练练（三）常用组件Toast</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pj46gd9.html">Swift中面向协议的编程</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1kl2l69.html">centos7搭建SVN&plus;Apache&plus;IF&period;svnadmin实现web管理SVN</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rgr3x48.html">最优Django环境配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1xzp1q.html">【论文阅读】Sequence to Sequence Learning with Neural Network</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwj645y8.html">IIC协议理解&lpar;转&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdp6x1vq.html">instrument 之 core animation</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdwj74v9.html">Generative Adversarial Nets&lbrack;Wasserstein GAN&rsqb;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdw35zz9.html">ACPI&colon;Memory错误解决办法</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxd7wez9.html">Hadoop数据分析实例：P2P借款人信用风险实时监控模型设计</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gjod0e9.html">R语言学习&mdash;&mdash;根据信息熵建决策树KD3</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnv3znj8.html">CentOS下双网卡绑定-bond0</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/9pjy0749.html">单实例 winform zz</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gm0ljl9.html">向Git证明自己的身份，Git别名配置</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2wedwvq.html">Linux IIO子系统分析</a>
			</li>
						<li><a href="https://www.batexi.com/a/90v07yj8.html">zz android 系统 makefile文件（Android&period;mk）组织结构</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gm61n79.html">oracle删除当前用户下所有表</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxnjnnd8.html">Django自定义用户认证</a>
			</li>
						<li><a href="https://www.batexi.com/a/qn16jwx8.html">http协议和web本质</a>
			</li>
						<li><a href="https://www.batexi.com/a/95xl0468.html">php 获取某个月的周次信息</a>
			</li>
						<li><a href="https://www.batexi.com/a/qydny0dq.html">String与常量池</a>
			</li>
						<li><a href="https://www.batexi.com/a/8mn6270q.html">java消息队列使用场景</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
